Loading...
Searching...
No Matches
sc_hypervisor_config.h File Reference
`#include <sc_hypervisor.h>`

Go to the source code of this file.

## Data Structures

struct | sc_hypervisor_policy_config
#define | SC_HYPERVISOR_MAX_IDLE
#define | SC_HYPERVISOR_MIN_WORKING
#define | SC_HYPERVISOR_PRIORITY
#define | SC_HYPERVISOR_MIN_WORKERS
#define | SC_HYPERVISOR_MAX_WORKERS
#define | SC_HYPERVISOR_GRANULARITY
#define | SC_HYPERVISOR_FIXED_WORKERS
#define | SC_HYPERVISOR_MIN_TASKS
#define | SC_HYPERVISOR_NEW_WORKERS_MAX_IDLE
#define | SC_HYPERVISOR_TIME_TO_APPLY
#define | SC_HYPERVISOR_NULL
#define | SC_HYPERVISOR_ISPEED_W_SAMPLE
#define | SC_HYPERVISOR_ISPEED_CTX_SAMPLE
#define | SC_HYPERVISOR_TIME_SAMPLE
#define | MAX_IDLE_TIME
#define | MIN_WORKING_TIME
void | sc_hypervisor_set_config (unsigned sched_ctx, void *config)
struct sc_hypervisor_policy_config * | sc_hypervisor_get_config (unsigned sched_ctx)
void | sc_hypervisor_ctl (unsigned sched_ctx,...)

## Data Structure Documentation

## sc_hypervisor_policy_config

struct sc_hypervisor_policy_config

Methods that implement a hypervisor resizing policy.

Data Fields
int | min_nworkers | Indicate the minimum number of workers needed by the context
int | max_nworkers | Indicate the maximum number of workers needed by the context
int | granularity | Indicate the workers granularity of the context
int | priority[STARPU_NMAXWORKERS] | Indicate the priority of each worker to stay in the context the smaller the priority the faster it will be moved to another context
double | max_idle[STARPU_NMAXWORKERS] | Indicate the maximum idle time accepted before a resize is triggered above this limit the priority of the worker is reduced
double | min_working[STARPU_NMAXWORKERS] | Indicate that underneath this limit the priority of the worker is reduced
int | fixed_workers[STARPU_NMAXWORKERS] | Indicate which workers can be moved and which ones are fixed
double | new_workers_max_idle | Indicate the maximum idle time accepted before a resize is triggered for the workers that just arrived in the new context
double | ispeed_w_sample[STARPU_NMAXWORKERS] | Indicate the sample used to compute the instant speed per worker
double | ispeed_ctx_sample | Indicate the sample used to compute the instant speed per ctxs
double | time_sample | Indicate the sample used to compute the instant speed per ctx (in seconds)